#ifndef QLOPDATABASE_H
#define QLOPDATABASE_H

#include <QObject>
#include <qlopdata.h>
#include <QList>

class QLopDataBase : public QObject
{
    Q_OBJECT
    explicit QLopDataBase(QObject *parent = 0);
    ~QLopDataBase();
    static QLopDataBase* _self;
public:
    static void init();
    static int addData(QLopData* data);
    static int addData(const QLopDataList &data);
    static QLopDataBase* self();
    static int count();
    static QLopData* getData(const QString& name);
    static QLopData* getData(int ID);
    QLopData* getDataFromIdex(int index);
signals:

public slots:
private:
    static QList<QLopData*>* m_dataBase;
};

#endif // QLOPDATABASE_H
